Bug 981468 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 00000000000000b8
[abrt] BUG: unable to handle kernel NULL pointer dereference at 00000000000000b8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:c77ae93780dd721a21111d0d09c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 16:20 EDT by fredg_@_bdx
Modified: 2013-09-16 09:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 09:20:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (75.33 KB, text/plain)
2013-07-04 16:20 EDT, fredg_@_bdx
no flags Details

  None (edit)
Description fredg_@_bdx 2013-07-04 16:20:08 EDT
Description of problem:
at startup

Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at 00000000000000b8
IP: [<ffffffffa04cc7ed>] snd_cx88_volume_put+0x11d/0x220 [cx88_alsa]
PGD 12033c067 PUD 12033d067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: wm8775 ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder ir_nec_decoder rc_hauppauge tuner_simple tuner_types tda9887 tda8290 acpi_cpufreq mperf coretemp kvm_intel tuner kvm cx8800(+) cx8802(+) cx88_alsa cx88xx btcx_risc tveeprom videobuf_dma_sg videobuf_core rc_core arc4 rt2800usb v4l2_common videodev iTCO_wdt snd_hda_codec_analog iTCO_vendor_support rt2x00usb rt2800lib media microcode rt2x00lib serio_raw snd_hda_intel mac80211 snd_hda_codec snd_hwdep i2c_i801 snd_seq snd_seq_device r8169 mii cfg80211 snd_pcm rfkill crc_ccitt asus_atk0110 snd_page_alloc snd_timer x38_edac snd lpc_ich edac_core soundcore sky2 mfd_core uinput ata_generic pata_acpi nouveau video mxm_wmi wmi i2c_algo_bit firewire_ohci
 drm_kms_helper firewire_core ttm pata_jmicron crc_itu_t drm usb_storage i2c_core
CPU 3 
Pid: 360, comm: alsactl Not tainted 3.9.8-300.fc19.x86_64 #1 System manufacturer System Product Name/P5E3 Deluxe
RIP: 0010:[<ffffffffa04cc7ed>]  [<ffffffffa04cc7ed>] snd_cx88_volume_put+0x11d/0x220 [cx88_alsa]
RSP: 0018:ffff880121c69dd0  EFLAGS: 00010206
RAX: 0000000000000000 RBX: ffff880122aa4000 RCX: 000000000000003f
RDX: 0000000000000000 RSI: 0000000000980905 RDI: ffff8801202c1c00
RBP: ffff880121c69e00 R08: 0000000000016e00 R09: ffff88012b001c00
R10: 00007fff69451631 R11: 0000000000000000 R12: ffff880121d4e6a8
R13: ffff880127b91000 R14: 0000000000008000 R15: 000000000000fc00
FS:  00007fd7c11c1740(0000) GS:ffff88012fd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000b8 CR3: 0000000122be9000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process alsactl (pid: 360, threadinfo ffff880121c68000, task ffff88011f572ee0)
Stack:
 ffffffffa020f775 ffff880127b91000 ffff880121d4e400 ffff88012777ee80
 ffff880121d4e598 ffff880121d4e660 ffff880121c69e38 ffffffffa021138d
 ffff880127b91000 ffff88012777ee80 ffff880121d4e400 00007fff69451770
Call Trace:
 [<ffffffffa020f775>] ? snd_ctl_find_id+0xb5/0xf0 [snd]
 [<ffffffffa021138d>] snd_ctl_elem_write+0xfd/0x140 [snd]
 [<ffffffffa0212270>] snd_ctl_ioctl+0xe0/0x820 [snd]
 [<ffffffff811a91e8>] ? do_filp_open+0x38/0x80
 [<ffffffff811ab495>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8129495e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811ab731>] sys_ioctl+0x81/0xa0
 [<ffffffff8164efd9>] system_call_fastpath+0x16/0x1b
Code: 89 c6 89 d1 0f 8c ec 00 00 00 41 89 c7 41 be 00 80 00 00 41 c1 e7 0a 85 c0 0f 85 ff 00 00 00 48 8b 83 38 08 00 00 be 05 09 98 00 <48> 8b b8 b8 00 00 00 e8 d7 9e fb ff 48 85 c0 74 46 8b b3 b4 06 
RIP  [<ffffffffa04cc7ed>] snd_cx88_volume_put+0x11d/0x220 [cx88_alsa]
 RSP <ffff880121c69dd0>
CR2: 00000000000000b8

Potential duplicate: bug 868561
Comment 1 fredg_@_bdx 2013-07-04 16:20:16 EDT
Created attachment 768988 [details]
File: dmesg
Comment 2 fredg_@_bdx 2013-07-04 16:30:50 EDT
The bug occured very often at computer startup.
The computer is slow. When shutting down the system take a whil on following message : '[ *** ] A stop job is running for Manage Sound Card state (restore and store)'. dunno if it is related w/ startup issue. This bug was already on f18...was hoping f19 will have solved the issue.
Comment 3 fredg_@_bdx 2013-07-05 10:03:32 EDT
I did a full install again w/ DVD.
 * having system install w/ kernel 3.9.5-301.fc19.x86_64 and no update at all : everything is fine, no kernel issue at all after 4 reboots.
 * Once system update is done (only std repo, no additional package), kernel 3.9.8.300.fc19.x86_64 is installed: nightmare start, now. 

Issue at every start-up: start-up process seems fine but once logged in KDE, abrt is always showing this issue. It happens at every boot-up. The computer is really slow. when shutting down, computer is stuck at above message ('[ *** ] A stop job is running for Manage Sound Card state (restore and store)' )

If booting back to kernel 3.9.5-301.fc19.x86_64, everything is working fine...3 reboots w/o any issue.

booting back to kernel 3.9.8.300.fc19.x86_64 : troubles again.

Please let me know if more information are needed.
Comment 4 fredg_@_bdx 2013-07-07 06:06:00 EDT
The issue happens once w/ kernel 3.9.5-301.fc19.x86_64 ... seems less frequent than with kernel 3.9.8.300.fc19.x86_64.
Will update to kernel 3.9.9-301 and keep you updated.
Comment 5 leo_fedora 2013-07-28 12:22:29 EDT
Have the same problem. As a result Gnome Desktop doesn't come up. Command line works. reboot results in looping as descripted above.
Rescue boot works as this is kernel 3.9.5 may it is in the cx88 module. I also have this one.
@Fredg: Do have an Haupauge DVB/S card?

Switched back to F18 for the moment :-(
Comment 6 fredg_@_bdx 2013-07-28 14:31:23 EDT
@leo_fedora: yep Hauppauge WinTV-HVR-3000, w/ cx88
Comment 7 leo_fedora 2013-08-04 06:31:30 EDT
Update to kernel 3.10 fixed the bug for me (3.10.3-300 and 3.10.4-300 are working)

Note You need to log in before you can comment on or make changes to this bug.